/*================================================*/
/* TVKESC.C                                       */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVkbd_setesc  define function to filter keys   */
/*               in field mode (0 == none)        */
/*   Ralf Brown 4/23/88                           */
/*================================================*/

void pascal TVkbd_setesc(OBJECT kbd,void far (*func)(void))
{
   PARMLIST1 p ;

   p.num_args = 1 ;
   p.arg[0] = (DWORD) func ;
   TVsendmsg(SETESC_MSG, kbd?TOS:KEYME, kbd, (PARMLIST *)&p) ;
}

/* End of TVKESC.C */
